#!/bin/bash -euET
# Only for developemnt purpouse, and only when needed.
echo "Launching docker DNS service"
# Run docker DNS, allows reach the containers by their hostname on the host (for example by ping, curl command)
DOCKER_NAME=docker.host.dns

[[ $(docker ps -f "name=$DOCKER_NAME" --format '{{.Names}}') == $DOCKER_NAME ]] || \
docker run --rm -d --hostname dns.mageddo --name $DOCKER_NAME -p 5380:5380 \
  -v /var/run/docker.sock:/var/run/docker.sock -v /etc/resolv.conf:/etc/resolv.conf defreitas/dns-proxy-server