-- Oauth2Flow {
--   "accessToken": secret, string,
--   "refreshToken": secret, string,
--   "tokenType": ex. "bearer", string,
--   "redirectUri": ex. example.com/oauth2, string,
--   "platform": ex. "gitlab", string,
--   "expiresAfter": UTC timestamp
-- }

--   "accessToken": secret, string,
INSERT INTO items(id, type, dateCreated, dateModified, dateServerModified, deleted) VALUES(
    "a39b37f8-8408-4d59-b6aa-24025beaec7e",
    "ItemPropertySchema", 0, 0, 0, 0
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "a39b37f8-8408-4d59-b6aa-24025beaec7e"),
    "itemType", "Oauth2Flow"
);

INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "a39b37f8-8408-4d59-b6aa-24025beaec7e"),
    "propertyName", "accessToken"
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "a39b37f8-8408-4d59-b6aa-24025beaec7e"),
    "valueType", "Text"
);

--   "refreshToken": secret, string,
INSERT INTO items(id, type, dateCreated, dateModified, dateServerModified, deleted) VALUES(
    "e2b5f1e0-fcff-4fea-8a07-f97c581523cb",
    "ItemPropertySchema", 0, 0, 0, 0
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "e2b5f1e0-fcff-4fea-8a07-f97c581523cb"),
    "itemType", "Oauth2Flow"
);

INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "e2b5f1e0-fcff-4fea-8a07-f97c581523cb"),
    "propertyName", "refreshToken"
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "e2b5f1e0-fcff-4fea-8a07-f97c581523cb"),
    "valueType", "Text"
);

--   "tokenType": ex. "bearer", string,
INSERT INTO items(id, type, dateCreated, dateModified, dateServerModified, deleted) VALUES(
    "6c7f5ca7-a0d8-404e-ac86-64e59d87802f",
    "ItemPropertySchema", 0, 0, 0, 0
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "6c7f5ca7-a0d8-404e-ac86-64e59d87802f"),
    "itemType", "Oauth2Flow"
);

INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "6c7f5ca7-a0d8-404e-ac86-64e59d87802f"),
    "propertyName", "tokenType"
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "6c7f5ca7-a0d8-404e-ac86-64e59d87802f"),
    "valueType", "Text"
);

--   "redirectUri": ex. example.com/oauth2, string,
INSERT INTO items(id, type, dateCreated, dateModified, dateServerModified, deleted) VALUES(
    "82c0eeb8-a232-4cb3-abef-8c17c40dbfc1",
    "ItemPropertySchema", 0, 0, 0, 0
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "82c0eeb8-a232-4cb3-abef-8c17c40dbfc1"),
    "itemType", "Oauth2Flow"
);

INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "82c0eeb8-a232-4cb3-abef-8c17c40dbfc1"),
    "propertyName", "redirectUri"
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "82c0eeb8-a232-4cb3-abef-8c17c40dbfc1"),
    "valueType", "Text"
);

--   "platform": ex. "gitlab", string,
INSERT INTO items(id, type, dateCreated, dateModified, dateServerModified, deleted) VALUES(
    "8c96cc39-47af-430c-92cd-f9d43c1da058",
    "ItemPropertySchema", 0, 0, 0, 0
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "8c96cc39-47af-430c-92cd-f9d43c1da058"),
    "itemType", "Oauth2Flow"
);

INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "8c96cc39-47af-430c-92cd-f9d43c1da058"),
    "propertyName", "platform"
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "8c96cc39-47af-430c-92cd-f9d43c1da058"),
    "valueType", "Text"
);

--   "expiresAfter": UTC timestamp
INSERT INTO items(id, type, dateCreated, dateModified, dateServerModified, deleted) VALUES(
    "e71ab03a-94a3-4c4d-98d0-6e8140c8a456",
    "ItemPropertySchema", 0, 0, 0, 0
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "e71ab03a-94a3-4c4d-98d0-6e8140c8a456"),
    "itemType", "Oauth2Flow"
);

INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "e71ab03a-94a3-4c4d-98d0-6e8140c8a456"),
    "propertyName", "expiresAfter"
);
INSERT INTO strings(item, name, value) VALUES(
    (SELECT rowid FROM items WHERE id = "e71ab03a-94a3-4c4d-98d0-6e8140c8a456"),
    "valueType", "DateTime"
);