package com.memri.pod;

public class CreateUserReq {
  String databaseKey;
  String ownerKey;

  /**
   * Constructs a new instance of CreateUserReq with the specified database and owner.
   *
   * @param database the name of the database to create the user in
   * @param owner the username of the user who will own the newly created user
   */
  public CreateUserReq(String database, String owner) {
    databaseKey = database;
    ownerKey = owner;
  }
}
