mod common;

use common::test_data::TestData;
use test_context::test_context;

#[test_context(TestData)]
#[tokio::test]
async fn test_pod_responses_to_version_request(ctx: &TestData) {
    let resp = ctx
        .pod_client
        .get(&format!("{}/version", ctx.pod_url))
        .await;

    assert_eq!(resp.status(), reqwest::StatusCode::OK);
}
