package com.memri.pod;

public class GetFile {
  String sha256;

  /**
   * Constructs a new instance of GetFile with the specified SHA256 hash.
   *
   * @param setSha256 the SHA256 hash of the file to be retrieved
   */
  public GetFile(String setSha256) {
    sha256 = setSha256;
  }

  /**
   * Sets the SHA256 hash of the file to be retrieved.
   *
   * @param setSha256 the SHA256 hash of the file to be retrieved
   * @return an instance of GetFile with the SHA256 hash set
   */
  public GetFile setSha256(String setSha256) {
    sha256 = setSha256;

    return this;
  }
}
